{% extends "templates/page.njk" %}
{% from 'packages/components/details/macro.njk' import details %}
{% from 'packages/components/tables/macro.njk' import table %}
{% from 'packages/components/button/macro.njk' import button %}

{% block pageContent %}
  <h1 class="nhsuk-heading-l">{{ heading }}</h1>

  <h2 class="nhsuk-heading-m">{{ headingOne }}</h2>
  <p>{{ paragraphOne }}</p>
  <p>{{ paragraphTwo }}</p>
  <p>{{ paragraphThree }}</p>

  <h2 class="nhsuk-heading-m">{{ headingTwo }}</h2>
  <p>{{ paragraphFour }}</p>

  <ul>
    <li>{{ listItemOne }}</li>
    <li>{{ listItemTwo }}</li>
    <li>{{ listItemThree }}</li>
    <li>{{ listItemFour }}</li>
  </ul>

  {{ details({
        "text": detailsHeading,
        "HTML": table({
            responsive: false,
            panel: false,
            firstCellIsHeader: false,
            head: [{ text: tableHeadOne }, { text: tableHeadTwo }, { text: tableHeadThree }],
            rows: [
                  [{ header: tableHeadOne, text: tableRowOneTextOne }, 
                  { header: tableHeadTwo, text: tableRowOneTextTwo },
                  { header: tableHeadThree, text: tableRowOneTextThree }],
                  [{ header: tableHeadOne, text: tableRowTwoTextOne },
                  { header: tableHeadTwo, text: tableRowTwoTextTwo },
                  { header: tableHeadThree, text: tableRowTwoTextThree }],
                  [{ header: tableHeadOne, text: tableRowThreeTextOne },
                  { header: tableHeadTwo, text: tableRowThreeTextTwo },
                  { header: tableHeadThree, text: tableRowThreeTextThree }],
                  [{ header: tableHeadOne, text: tableRowFourTextOne },
                  { header: tableHeadTwo, text: tableRowFourTextTwo },
                  { header: tableHeadThree, text: tableRowFourTextThree }]
                ]
        })
  }) }}

  <h2 class="nhsuk-heading-m">{{ headingThree }}</h2>
  <p>{{ paragraphFive }}</p>
  <p>{{ paragraphSix }}</p>

  {{ button({
    text: buttonText,
    href: "choose-cookies",
    attributes: {
      id : 'choose-which-cookies'
    }
  }) }}

  <h2 class="nhsuk-heading-m">{{ headingFour }}</h2>
  <p>{{ paragraphSeven }} <a href="https://www.nhsbsa.nhs.uk/our-policies/privacy" id="privacy-policy-link">{{ paragraphSevenLinkText }}</a></p>
{% endblock %}
